### Method

# Soup MessageHeaders get_content_range

#### Declaration [src]

    gboolean
    soup_message_headers_get_content_range (
      SoupMessageHeaders* hdrs,
      goffset* start,
      goffset* end,
      goffset* total_length
    )

#### Description [src]

Parses `hdrs`‘s Content-Range header and returns it in `start`, `end`, and `total_length`. If the total length field in the header was specified as “*”, then `total_length` will be set to -1.

#### Parameters

`start` | `goffset*`
| Return value for the start of the range.
| The argument will be set by the function.
`end` | `goffset*`
| Return value for the end of the range.
| The argument will be set by the function.
`total_length` | `goffset*`
| Return value for the total length of the resource, or `NULL` if you don’t care.
| The argument will be set by the function.
| The argument can be `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if `hdrs` contained a “Content-Range” header containing a byte range which could be parsed, `FALSE` otherwise.